<?php

namespace Modules\User\Enums;


Enum UserRoleEnum: int
{
    case SUPER_ADMIN = 1;

    case ADMIN = 2;

    case SUB_ADMIN = 3;

    case Head_Department = 4;

    case Senior_Business_Development_Manager = 5;
    case Business_Development_Manager = 6;
    case Senior_Business_Development_Executive = 7;
    case Business_Development_Executive = 8;

    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }

    public static function admins()
    {
        return [
            self::SUPER_ADMIN->value,
            self::ADMIN->value,
            self::SUB_ADMIN->value
        ];
    }


    public static function managers()
    {
        return [
            self::Head_Department->value,
        ];
    }

    public static function employees()
    {
        return [
            self::Head_Department->value,
            self::Senior_Business_Development_Manager->value,
            self::Business_Development_Manager->value,
            self::Senior_Business_Development_Executive->value,
            self::Business_Development_Executive->value,
        ];
    }

    public static function sub_employees()
    {
        return [
            self::Senior_Business_Development_Manager->value,
            self::Business_Development_Manager->value,
            self::Senior_Business_Development_Executive->value,
            self::Business_Development_Executive->value,
        ];
    }
}
